/*
  gpsdialog.h
  Copyright (C) 2008 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __GPSDIALOG_H__
#define __GPSDIALOG_H__

#include <qdialog.h>
#include <qstring.h>
class QLabel;
class QLineEdit;
class QSpinBox;
class QButtonGroup;
class QRadioButton;
class QComboBox;

class GpsDialog : public QDialog
{ 
    Q_OBJECT

  public:
    GpsDialog( QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
    ~GpsDialog();

	typedef enum datum {
		Tokyo,
		WGS84,
	} Datum;

	void setDevice(QString const &file);
	void setPreCommand(QString const &cmd);
	void setPostCommand(QString const &cmd);
	void setInterval(int interval);
	void setDatum(Datum datum);
	void setTimeZone(int timezone);

	QString getDevice(void);
	QString getPreCommand(void);
	QString getPostCommand(void);
	int getInterval(void);
	Datum getDatum(void);
	int getTimeZone(void);

  protected:
	QLineEdit *device;
	QLineEdit *preCommand;
	QLineEdit *postCommand;
	QSpinBox *interval;
	QRadioButton *tokyo_datum;
	QRadioButton *wgs84_datum;
	QComboBox *tz;
};

#endif // __GPSDIALOG_H__
