/*
  inputdialog.cpp
  Copyright (C) 2008 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#include "inputdialog.h"

#include <qvariant.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

InputDialog::InputDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : _InputDialog( parent, name, modal, fl )
{
    setCaption( name );
	connect(PushButton1, SIGNAL(clicked()),
			this, SLOT(okClicked()));
}

InputDialog::~InputDialog()
{
}

void InputDialog::okClicked()
{
	accept();
}

void InputDialog::setText(QString const &str)
{
	LineEdit1->setText(str);
}

QString InputDialog::getText()
{
	return LineEdit1->text();
}
