/*
  qgconf.cpp
  Copyright (C) 2008 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

//#define DEBUG

#include "qgmap.h"
#include "qgconf.h"
#include <qobject.h>
#include <qstring.h>

QGConf::QGConf()
#ifdef QWS
	: Config("qgmap")
#endif
{
#ifdef QWS
	setGroup("General");
#else
	beginGroup("/qgmap/");
#endif
}

void QGConf::writeEntry ( const QString & key, const char * value )
{
	Enter();
	QString str(value);

	CONFIGCLASS::writeEntry( key, value );
	emit configChanged( key, str );
}

void QGConf::writeEntry ( const QString & key, const QString & value )
{
	Enter();
	CONFIGCLASS::writeEntry( key, value );
	emit configChanged( key, value );
}

void QGConf::writeEntry ( const QString & key, int num )
{
	Enter();
	QString str;
	str.setNum(num);
	CONFIGCLASS::writeEntry( key, num );
	emit configChanged( key, str );
}

void QGConf::reloadEntry ( const QString & key, const QString defl )
{
	emit configChanged( key, readEntry(key, defl) );
}

void QGConf::reloadNumEntry ( const QString & key, int defl )
{
	QString str;
	str.setNum( readNumEntry(key, defl) );
	emit configChanged( key, str );
}
