/*
  regionmap.h
  Copyright (C) 2008 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __REGIONMAP_H__
#define __REGIONMAP_H__

#include <qarray.h>
#include <qrect.h>

class RegionMap
{
  public:
	RegionMap(int left, int top, int width, int height, int zoom);
	RegionMap(const RegionMap &pos);
	~RegionMap();

	int getTop(){return top;}
	int getLeft(){return left;}
	int getWidth(){return width;}
	int getHeight(){return height;}
	int getZoom(){return zoom;}

	RegionMap zoomTo(int zoom);
	QArray<QRect> getRects();

	void set(int x, int y);
	void clear(int x, int y);
	bool is_set(int x, int y);

  private:
	int left;
	int top;
	int width;
	int height;
	int zoom;
	int shift;
	unsigned char *map;

	int scanWidth(int x, int y);
	int scanHeight(int x, int y, int w);
#ifdef DEBUG
	void dump();
#endif
};

#endif // __REGIONMAP_H__
